Subject: Re: [PATCH 00/10] config API: make "multi" safe, fix numerous segfaults

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Oct 2022 13:12:08 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> I also think that part of the config API is a wart, but that we should
> go for a different solution. It's the only config function that
> doesn't return an "int" indicating whether we found the key.

Overall I saw some things to like in the series, but was not
impressed by others.  The _multi() thing in the earliest patch is a
welcome change, giving an option to call nonbool() is a good idea
(but I have doubts about the exectuion), and "does the key exist?"
may be a good thing to have.  Others ranged between "Meh?" to "it
might be good, but why does it have to be done here now?".

Thanks.